Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#39889 - libphp5.so is not thread safe

Attached to Project: Arch Linux
Opened by Max Kessler (maxkessler) - Wednesday, 16 April 2014, 02:47 GMT
Last edited by Jan de Groot (JGC) - Wednesday, 16 April 2014, 07:41 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture i686
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
Apache won't load with this module.

Additional info:
* package version(s)
php-apache: 5.5.11-1
apache: 2.4.9-1

* config and/or log files etc.
From "systemctl -l status httpd":
Apr 15 17:04:25 demobox apachectl[1290]: [Tue Apr 15 17:04:25.207833 2014] [:crit] [pid 1292:tid 3074738560] Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe. You need to recompile PHP.

Steps to reproduce:
Install apache
Install php-apache
Add a LoadModule line to httpd.conf to enable php5_module.
Try to start apache.

This task depends upon

Closed by  Jan de Groot (JGC)
Wednesday, 16 April 2014, 07:41 GMT
Reason for closing:  Duplicate
Additional comments about closing:  Duplicate  FS#39107 ,  FS#39214 ,  FS#39218 ,  FS#39228 ,  FS#39260 . Pick one (or all)
Comment by Doug Newgard (Scimmia) - Wednesday, 16 April 2014, 02:59 GMT
Please search, including closed issues, before filing new reports.

Loading...